### Method

# AppStreamCompose Result remove_hints_for_cid

#### Declaration [src]

    void
    asc_result_remove_hints_for_cid (
      AscResult* result,
      const gchar* cid
    )

#### Description [src]

Remove all hints that we have associated with the selected component-ID.

#### Parameters

`cid`

  Type: `const gchar*`

  The component ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.